# std::filesystem::path::swap

From cppreference.com
< cpp‎ | filesystem‎ | path

void swap( path& other ) noexcept; | (1) | (since C++17)

Swaps the contents (both native and generic format) of *this and `other`.

### Parameters

other | - | another path to exchange the contents with

### Return value

(none)

### Complexity

Constant.

### See also

swap(std::filesystem::path) | swaps two paths (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/path/swap&oldid=105083"